org.apache.solr.response.transform

## Class DocTransformers

- java.lang.Object
- - org.apache.solr.response.transform.DocTransformer
  - - org.apache.solr.response.transform.DocTransformers

-     public class DocTransformers
      extends DocTransformer

  Transform a document before it gets sent out

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.response.transform.DocTransformer

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocTransformers()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransformer(DocTransformer a)`
    `String` | `getName()`
    `DocTransformer` | `getTransformer(int idx)`
    `boolean` | `needsSolrIndexSearcher()` Returns true if and only if at least 1 child transformer returns true
    `void` | `setContext(ResultContext context)` This is called before `DocTransformer.transform(org.apache.solr.common.SolrDocument, int, float)` to provide context for any subsequent transformations.
    `int` | `size()`
    `void` | `transform(SolrDocument doc, int docid, float score)` This is where implementations do the actual work.

    - ### Methods inherited from class org.apache.solr.response.transform.DocTransformer

      `getExtraRequestFields, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocTransformers

          public DocTransformers()

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `DocTransformer`
      Returns:
        The name of the transformer

    - #### addTransformer

          public void addTransformer(DocTransformer a)

    - #### size

          public int size()

    - #### getTransformer

          public DocTransformer getTransformer(int idx)

    - #### setContext

          public void setContext(ResultContext context)

      Description copied from class: `DocTransformer`
      This is called before `DocTransformer.transform(org.apache.solr.common.SolrDocument, int, float)` to provide context for any subsequent transformations.
      Overrides:
        `setContext` in class `DocTransformer`
      Parameters:
        `context` - The `ResultContext` stores information about how the documents were produced.
      See Also:
        `DocTransformer.needsSolrIndexSearcher()`

    - #### transform

          public void transform(SolrDocument doc,
                                int docid,
                                float score)
                         throws IOException

      Description copied from class: `DocTransformer`
      This is where implementations do the actual work. If implementations require a valid docId and index access, the `DocTransformer.needsSolrIndexSearcher()` method must return true
      Specified by:
        `transform` in class `DocTransformer`
      Parameters:
        `doc` - The document to alter
        `docid` - The Lucene internal doc id, or -1 in cases where the `doc` did not come from the index
        `score` - the score for this document
      Throws:
        `IOException` - If there is a low-level I/O error.
      See Also:
        `DocTransformer.needsSolrIndexSearcher()`

    - #### needsSolrIndexSearcher

          public boolean needsSolrIndexSearcher()

      Returns true if and only if at least 1 child transformer returns true
      Overrides:
        `needsSolrIndexSearcher` in class `DocTransformer`
      See Also:
        `ResultContext.getSearcher()`, `DocTransformer.transform(org.apache.solr.common.SolrDocument, int, float)`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.